### Method

# Gtk Widget unset_state_flags

#### Declaration [src]

    void
    gtk_widget_unset_state_flags (
      GtkWidget* widget,
      GtkStateFlags flags
    )

#### Description [src]

Turns off flag values for the current widget state.

See gtk_widget_set_state_flags().

This function is for use in widget implementations.

#### Parameters

`flags` | `GtkStateFlags`
| State flags to turn off.